13

When I try to run Maya from the terminal, I get:

error while loading shared libraries: libtiff.so.3: cannot open shared object file: No such file or directory.

How do I solve this?

Note: Maya is a third-party software.

7

You're missing the TIFF library. apt-cache search libtiff shows packages, you'll need libtiff4:

sudo apt-get install libtiff4
  • Why does libtiff4provide libtiff.so.3? – Ciro Santilli 新疆改造中心法轮功六四事件 Aug 21 '16 at 16:37
  • @CiroSantilli巴拿馬文件六四事件法轮功 It does not do that apparently, though in some cases you can create a symlink and hope that it works (see sharpzq's answer below). – Lekensteyn Aug 21 '16 at 19:43
  • Ah, I wasn't sure. Because Ubuntu 14.04 provides a libtiff5 which contains libtiff version 4 (there is no version 5 yet). – Ciro Santilli 新疆改造中心法轮功六四事件 Aug 21 '16 at 21:33
  • @CiroSantilli巴拿馬文件六四事件法轮功 Ubuntu's libtiff5 package does not contain libtiff.so.4, see the package list. There is no libtiff4 package either, see the source package. Perhaps you have a libtiff4 package from a previous Ubuntu version which remained after upgrade. Check with dpkg -S /usr/lib/x86_64-linux-gnu/libtiff.so which package the file belongs to and apt-cache policy libtiff4 where your package comes from. – Lekensteyn Aug 21 '16 at 21:47
13

Repositories for 16.04, 16.10, 17.04 and 17.10 have libtiff5 (most likely included in installation) which provides libtiff.so.5 but not libtiff.so.3. This causes problems for applications that look for libtiff.so.3 as detailed in this bug report

First do

sudo apt install libtiff5

You will likely find it is already installed. However, if not, see if this fixes the problem.

If not, try this workaround: To fool applications into using libtiff.so.5 instead of libtiff.so.3, you can create a symlink in the same directory named libtiff.so.3 pointing to libtiff.so.5. This may not work for all applications, since the libraries are not exactly the same.

To do this in a 32-bit system enter:

sudo ln -s /usr/lib/i386-linux-gnu/libtiff.so.5 /usr/lib/i386-linux-gnu/libtiff.so.3

In a 64-bit system it would be:

sudo ln -s /usr/lib/x86_64-linux-gnu/libtiff.so.5 /usr/lib/x86_64-linux-gnu/libtiff.so.3

If unsure, you can find the library on your system like this:

locate -b libtiff

Then you will be able to get the path correct (if you just installed libtiff5, you have to first do sudo updatedb for locate to find it)

  • Thank you @Zanna. your solution actually helped me. but im getting the another error. Maya is crashing while trying to open. I guess it has something to do with my hardware i assume. ---------------- __libc_start_main /usr/autodesk/maya2016/bin/maya.bin() [0x40e06d] Segmentation fault (core dumped) – Hayet Mahamud Jun 14 '16 at 9:16
  • @HayetMahmud I thought the symlink might have caused the segfault, but looking at your stack trace it appears not... good luck fighting that one =/ – Zanna Jun 14 '16 at 10:35
  • 1
    -1 There is a reason why different versions of a library have different file names, as demonstrated by the resulting segfault. – fkraiem Aug 21 '16 at 17:35
  • @fkraiem Hmm yes it's an ugly fudge for sure but here's the details of the segfault... I don't think this is what caused it. What do you think? Should I delete my answer? – Zanna Aug 21 '16 at 17:55
  • shrug edited to advise that it may not work. However, I think that is the worst that could happen – Zanna Oct 3 '16 at 0:38
3

I'm running in to the same error with a different program. I'm using Oneiric (Xubuntu 11.10)

$ sudo apt-get install libtiff3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libtiff3

Libtiff4 is already installed on this system, and clearly doesn't provide libtiff.so.3.

sudo ln -s /usr/lib/libtiff.so.4 /usr/lib/libtiff.so.3

I couldn't find libtiff.so.4 there, but I did find it in /usr/lib/i386-linux-gnu/. So the command I ran was:

sudo ln -s /usr/lib/i386-linux-gnu/libtiff.so.4 /usr/lib/i386-linux-gnu/libtiff.so.3

And it worked for the game I was trying to play (http://www.happypenguin.org/show?interLOGIC)

1

You can create a soft link:

sudo ln -s /usr/lib/libtiff.so.4 /usr/lib/libtiff.so.3
  • 2
    On a 64-bit system you need to do ln -s /usr/lib/x86_64-linux-gnu/libtiff.so.4 /usr/lib/libtiff.so.3 instead. – N.N. Mar 19 '13 at 8:42
  • @N.N. I cant make work even with that. I can install libtiff5 or libtiff4-dev. None of them worked. I've tried most of the command and symbolic links here and still cannot run that. Im looking to run carnival-gui for festival tts. – erm3nda Aug 12 '15 at 13:38
1

If Maya was not built on your machine (i.e. installed from a binary) then you need libtiff3, libtiff4 will not fix your issue as it includes "libtiff.so.4", not "libtiff.so.3". Or you could build Maya from source on your machine.

0

Install from source

wget http://download.osgeo.org/libtiff/tiff-3.9.6.zip
unzip tiff-3.9.6.zip
cd tiff-3.9.6
./configure
make
sudo make install

Tested on Ubuntu 14.04.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.